POSTkaia_getBlockReceipts

Retrieves receipts for a block by block hash.

Request Body
idintegerrequired
jsonrpcstringrequired
methodstringrequired
paramsoneOf[]required

Enter the following parameters as an array with the appropriate types.

  1. block identifier - Block number, block hash, or block tag for the block to query.
    • Block number: Hexadecimal string (e.g. "0x1")
    • Block hash: 64-digit hexadecimal string (e.g. "0x39008d07edf93c03bb9d1cfc80598fcf63f441ec86e9de3733fa6a484980ca48")]
    • Block tag: Enum string (e.g. "latest", "earliest", "pending")
params[0]string

Use one of block hash, block number, or block tag to specify the block.

  • Block number: Hexadecimal string (e.g. "0x1")
  • Block hash: 64-digit hexadecimal string (e.g. "0x39008d07edf93c03bb9d1cfc80598fcf63f441ec86e9de3733fa6a484980ca48")]
  • Block tag: Enum string (e.g. "latest", "earliest", "pending")
    • earliest: The oldest available block on the chain.
    • finalized: A recently finalized block that can no longer be changed. Primarily used in proof-of-stake (PoS) blockchains.
    • safe: A recent block considered safe by the network (immune to reorgs).
    • latest: The most recent block on the chain (may be subject to reorgs).
    • pending: The next block to be mined, including pending transactions in the mempool.
Responses
blockHashstring

Hash of the block containing this transaction

blockNumberstring

Block number containing this transaction (hex)

contractAddressstring

Contract address created if this was a contract creation transaction, otherwise null

effectiveGasPricestring

Actual gas price paid (hex, in peb)

fromstring

Sender address of the transaction

gasstring

Gas limit set for the transaction (hex)

gasPricestring

Gas price (hex, in peb)

gasUsedstring

Gas used by this specific transaction (hex)

addressstring

The address of the contract that emitted this log

topicsstring[]

Array of event signature hash and indexed parameters (up to 4 entries)

datastring

Non-indexed event parameter data (hex encoded)

blockNumberstring

Block number containing this log (hex)

transactionHashstring

Hash of the transaction that created this log

transactionIndexstring

Transaction position index within the block (hex)

blockHashstring

Hash of the block containing this log

logIndexstring

Log position index within the block (hex)

removedboolean

True if the log was removed due to a chain reorganization

logsBloomstring

Bloom filter for event log search (2048 bits, hex)

noncestring

Sender nonce (hex)

senderTxHashstring

Transaction hash containing only the sender signature, for fee-delegated transactions

Vstring

ECDSA signature v value (hex)

Rstring

ECDSA signature r value (hex)

Sstring

ECDSA signature s value (hex)

statusstring

Transaction execution result (0x1=success, 0x0=failure)

tostring

Recipient address. Null for contract creation transactions

transactionHashstring

Transaction hash

transactionIndexstring

Transaction position index within the block (hex)

typestring

Transaction type (hex string)

typeIntinteger

Transaction type as integer

X-API-KEY
RequestCU28
cURL
curl -X POST "https://kaia-mainnet.nodit.io/" \
  -H "X-API-KEY: {YOUR_API_KEY}" \
  -H "Content-Type: application/json" \
  -d '{
  "id": 1,
  "jsonrpc": "2.0",
  "method": "kaia_getBlockReceipts",
  "params": [
    "latest"
  ]
}'
Response
Example · 200
[
  {
    "blockHash": "string",
    "blockNumber": "string",
    "contractAddress": "string",
    "effectiveGasPrice": "string",
    "from": "string",
    "gas": "string",
    "gasPrice": "string",
    "gasUsed": "string",
    "logs": [
      {
        "address": "string",
        "topics": [],
        "data": "string",
        "blockNumber": "string",
        "transactionHash": "string",
        "transactionIndex": "string",
        "blockHash": "string",
        "logIndex": "string",
        "removed": true
      }
    ],
    "logsBloom": "string",
    "nonce": "string",
    "senderTxHash": "string",
    "signatures": [
      {
        "V": "string",
        "R": "string",
        "S": "string"
      }
    ],
    "status": "string",
    "to": "string",
    "transactionHash": "string",
    "transactionIndex": "string",
    "type": "string",
    "typeInt": 0
  }
]